/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100%;
  background-color: white;
  font-family: "Kanit", sans-serif;
}
body {
  margin: 0;
  font-family: "Kanit", sans-serif;
  background-color: white;
}

span,
h1,
p mat-label,
mat-tabel {
  font-family: "Kanit", sans-serif;
}
mat-ink-bar,
.mat-ink-bar {
  height: 4px !important;
}
.custom-dialog-container .mat-dialog-container {
  padding: 0;
  background-color: white;
  height: 230px;
  width: 500px;
  overflow: hidden;
}

.custom-dialog-big .mat-dialog-container {
  padding: 0;
  background-color: white;
  height: 500px;
  width: 500px;
  overflow: hidden;
}

.custom-dialog-long .mat-dialog-container {
  padding: 0;
  background-color: white;
  height: 780px;
  width: 550px;
  overflow: hidden;
}

.custom-dialog-createList .mat-dialog-container {
  padding: 0;
  background-color: white;
  height: 580px;
  width: 500px;
  overflow: hidden;
}

.custom-dialog-coderoom .mat-dialog-container {
  padding: 0;
  background-color: white;
  height: 350px;
  width: 650px;
  overflow: hidden;
}

.custom-dialog-add .mat-dialog-container {
  padding: 0;
  background-color: white;
  height: 380px;
  width: 500px;
  overflow: hidden;
}
.custom-dialog-import .mat-dialog-container {
  padding: 0;
  background-color: white;
  height: 230px;
  width: 500px;
  overflow: hidden;
}

a:focus,
button:focus,
input:focus,
textarea:focus,
img:focus,
td:focus,
div:focus {
  outline: none;
}

.mat-sort-header-arrow {
  color: white !important;
}

@import "~@angular/material/theming";

@include mat-core();
$custom-theme-primary: mat-palette($mat-teal, 500);
$custom-theme-accent: mat-palette($mat-teal, 500);
$custom-theme-warn: mat-palette($mat-red);
$custom-theme: mat-light-theme($custom-theme-primary, $custom-theme-accent);
@include angular-material-theme($custom-theme);

.mat-form-field-appearance-outline .mat-form-field-outline {
  color: rgba(0, 0, 0, 0.2);
}
mat-form-field {
  .mat-hint,
  input,
  ::placeholder,
  .mat-form-field-label {
    color: rgba(0, 0, 0, 0.7);
  }
}
